util: correctly parse shorter linux version numbers.
authorNeilBrown <neilb@suse.de>
Fri, 17 Jun 2011 12:49:24 +0000 (22:49 +1000)
committerNeilBrown <neilb@suse.de>
Fri, 17 Jun 2011 12:49:24 +0000 (22:49 +1000)
commitf161d047eed634b3380262767f955eb888502e88
tree0d9e35c4e58102d6c58fee7ee9fc1fb25bf4efe5
parentef799cdd6968db25b3a3ea5d7d4e920391ec640a
util: correctly parse shorter linux version numbers.

The next version of Linux might be 3.0.  If it is, get_linux_version
will fail.
So make it more robust.

Reported-by: Namhyung Kim <namhyung@gmail.com>
Reported-by: Milan Broz <mbroz@redhat.com>
Signed-off-by: NeilBrown <neilb@suse.de>
util.c